Bug 1030512 - Wrong default system property is used for management-native Port Number.
Wrong default system property is used for management-native Port Number.
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: CR2
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 10:32 EST by Petr Kremensky
Modified: 2014-09-03 00:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-11-14 10:32:28 EST
Description of problem:
 There is wrong default property name for management-native Port Number on Socket Binding (domain-host) screen.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.CR1

How reproducible:
 Always

Steps to Reproduce:
 1. Run gui installation, go to Socket Bindings screen using default configuration.
 2. Choose to configure custom port bindings, select to Configure ports for domain mode, and press Next.
 3. Observe System property for management-native Port Number

Actual results:
jboss.domain.master.port

Expected results:
jboss.management.native.port


Additional info:
 - console installer is fine 

To make this clear, there are three important properties for domain management
 - jboss.management.native.port
 - jboss.management.http.port
 - jboss.domain.master.port (only in host-slave.xml)

jboss.management.native.port & jboss.management.http.port should be configurable, but we might left the jboss.domain.master.port in host-slave.xml as it is as it is different property to jboss.management.native.port. Sorry for inconvenience I should have realize this before.
Comment 1 Miles Tjandrawidjaja 2013-11-18 12:00:42 EST
Fixed default to use property "jboss.management.native.port"
Also found bugs that changing properties on Socket Binding (domain-host) panel did not effect appropriate .xml files in console mode. This has been fixed in izpack.

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=f6d29d86990cceb0a90853fb25c11c4ad022173e
Comment 2 Petr Kremensky 2013-11-19 04:59:04 EST
jboss.domain.master.port in host-slave.xml should be left as it is (see description)

I can see two issues in host-slave.xml with CR2:
 - jboss.domain.master.port is renamed to jboss.management.native.port (already covered, see BZ1026241)
 - jboss.management.native.port is used for jboss.domain.master.port, these are different ports and shouldn't be misconfigured. Installer shouldn't touch to:

    <domain-controller>
       <remote host="${jboss.domain.master.address}" port="${jboss.domain.master.port:9999}" security-realm="ManagementRealm"/>
    </domain-controller>

inside host-slave.xml unless we add one more field to domain socket configuration (I don't think this is really needed). Just leave the domain-controller element in host-slave and fix the BZ1026241 and it should be fine.
Comment 3 Petr Kremensky 2013-11-19 05:07:07 EST
I'll close this one as the original issue with wrong property name in installer was fixed and move the rest of the issue into BZ1026241 as it seem to be related.

Verified on EAP 6.2.0.CR2

Note You need to log in before you can comment on or make changes to this bug.